#include "Types.h"

#define min(a,b) (a<b?a:b)
#define max(a,b) (a<b?b:a)

char *readVarLine(FILE *file) ;
char **readVarLines(FILE *file, int *len, char *id);
void freeVarLines(char **ss, int n);
int readLine(FILE *file, char *buffer);
int readCommentLine (FILE *file, char **id);
/***/
#if 0
int parseDoubleVector(char *buffer, double *x);
#else
int parseDoubleVector(char *buffer, double *x, int isPDBxyz);
#endif

DoubleVector *newDoubleVector(int n);
void freeDoubleVector(DoubleVector *X);
DoubleVector *reallocDoubleVector(DoubleVector *X, int n);
#if 0
DoubleVector *readDoubleVector(FILE *file, DoubleVector *X, int *status, char *id);
#else
DoubleVector *readDoubleVector(FILE *file, DoubleVector *X, int *ncol, char *id, int isPDBxyz);
#endif

void printDoubleVector(DoubleVector *X, int ncol);
